Debian Bug report logs - #613199
libsgml-parser-opensp-perl: FTBFS when binNMUed

version graph

Package: libsgml-parser-opensp-perl; Maintainer for libsgml-parser-opensp-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libsgml-parser-opensp-perl is src:libsgml-parser-opensp-perl.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sun, 13 Feb 2011 13:45:02 UTC

Severity: serious

Tags: patch

Found in version libsgml-parser-opensp-perl/0.994-1

Fixed in version libsgml-parser-opensp-perl/0.994-2

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#613199; Package libsgml-parser-opensp-perl. (Sun, 13 Feb 2011 13:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 13 Feb 2011 13:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: FTBFS with perl 5.12.3: test failures
Date: Sun, 13 Feb 2011 13:42:24 +0000
Package: libsgml-parser-opensp-perl
Version: 0.994-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.12-transition

This package fails to build with Perl 5.12.3:

#   Failed test 'allow to read sample dir in restricted mode'
#   at t/13restricted.t line 63.
#          got: '0'
#     expected: anything else

#   Failed test 'allow to read sample dir in restricted mode'
#   at t/13restricted.t line 64.
#          got: '1'
#     expected: '0'
# Looks like you failed 2 tests of 12.
t/13restricted.t .... 
Dubious, test returned 2 (wstat 512, 0x200)

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Changed Bug title to 'libsgml-parser-opensp-perl: FTBFS with perl 5.12.3: test failures' from 'FTBFS with perl 5.12.3: test failures' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 13 Feb 2011 17:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#613199; Package libsgml-parser-opensp-perl. (Sun, 24 Apr 2011 21:27:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Sun, 24 Apr 2011 21:27:19 GMT) Full text and rfc822 format available.

Message #12 received at 613199@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 613199@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#613199: FTBFS with perl 5.12.3: test failures
Date: Sun, 24 Apr 2011 22:09:33 +0100
tags 613199 + unreproducible
thanks

On Sun, Feb 13, 2011 at 01:42:24PM +0000, Dominic Hargreaves wrote:
> Package: libsgml-parser-opensp-perl
> Version: 0.994-1
> Severity: important
> User: debian-perl@lists.debian.org
> Usertags: perl-5.12-transition
> 
> This package fails to build with Perl 5.12.3:
> 
> #   Failed test 'allow to read sample dir in restricted mode'
> #   at t/13restricted.t line 63.
> #          got: '0'
> #     expected: anything else
> 
> #   Failed test 'allow to read sample dir in restricted mode'
> #   at t/13restricted.t line 64.
> #          got: '1'
> #     expected: '0'
> # Looks like you failed 2 tests of 12.
> t/13restricted.t .... 
> Dubious, test returned 2 (wstat 512, 0x200)

I can't reproduce this on a separate test sbuild setup.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Added tag(s) unreproducible. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 24 Apr 2011 21:27:30 GMT) Full text and rfc822 format available.

Removed tag(s) unreproducible. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sat, 30 Apr 2011 21:27:08 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Thu, 05 May 2011 10:36:43 GMT) Full text and rfc822 format available.

Added indication that bug 613199 blocks 619117 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Thu, 05 May 2011 10:45:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#613199; Package libsgml-parser-opensp-perl. (Fri, 06 May 2011 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Fri, 06 May 2011 15:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 613199@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: Dominic Hargreaves <dom@earth.li>, 613199@bugs.debian.org
Subject: Re: Bug#613199: FTBFS with perl 5.12.3: test failures
Date: Fri, 6 May 2011 18:06:38 +0300
[Message part 1 (text/plain, inline)]
tag 613199 patch
thanks

On Sun, Feb 13, 2011 at 01:42:24PM +0000, Dominic Hargreaves wrote:
> Package: libsgml-parser-opensp-perl
> Version: 0.994-1
> Severity: important
> User: debian-perl@lists.debian.org
> Usertags: perl-5.12-transition
> 
> This package fails to build with Perl 5.12.3:
> 
> #   Failed test 'allow to read sample dir in restricted mode'
> #   at t/13restricted.t line 63.
> #          got: '0'
> #     expected: anything else
> 
> #   Failed test 'allow to read sample dir in restricted mode'
> #   at t/13restricted.t line 64.
> #          got: '1'
> #     expected: '0'
> # Looks like you failed 2 tests of 12.
> t/13restricted.t .... 
> Dubious, test returned 2 (wstat 512, 0x200)

This happens when there are "unsafe" characters like '+' in the
build directory name. BinNMU rebuilds cause such a situtation.

The safety check is in the opensp library. Workaround patch
attached.
-- 
Niko Tyni   ntyni@debian.org
[0001-Don-t-pass-the-full-path-of-the-file-to-parse-in-res.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Niko Tyni <ntyni@debian.org> to control@bugs.debian.org. (Fri, 06 May 2011 15:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#613199; Package libsgml-parser-opensp-perl. (Fri, 06 May 2011 18:27:08 GMT) Full text and rfc822 format available.

Message #30 received at 613199@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 613199@bugs.debian.org, 613199-submitter@bugs.debian.org
Subject: Bug in libsgml-parser-opensp-perl fixed in revision 74062
Date: Fri, 06 May 2011 18:26:48 +0000
tag 613199 + pending
thanks

Some bugs are closed in revision 74062
by Dominic Hargreaves (dom)

Commit message:

  * Apply patch from Niko Tyni fixing FTBFS in directories with
    characters like '+', such as during binNMUs (Closes: #613199)





Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 06 May 2011 18:27:10 GMT) Full text and rfc822 format available.

Message sent on to Dominic Hargreaves <dom@earth.li>:
Bug#613199. (Fri, 06 May 2011 18:27:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'libsgml-parser-opensp-perl: FTBFS when binNMUed' from 'libsgml-parser-opensp-perl: FTBFS with perl 5.12.3: test failures' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Fri, 06 May 2011 18:33:12 GMT) Full text and rfc822 format available.

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Fri, 06 May 2011 18:51:12 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 06 May 2011 18:51:12 GMT) Full text and rfc822 format available.

Message #42 received at 613199-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 613199-close@bugs.debian.org
Subject: Bug#613199: fixed in libsgml-parser-opensp-perl 0.994-2
Date: Fri, 06 May 2011 18:47:09 +0000
Source: libsgml-parser-opensp-perl
Source-Version: 0.994-2

We believe that the bug you reported is fixed in the latest version of
libsgml-parser-opensp-perl, which is due to be installed in the Debian FTP archive:

libsgml-parser-opensp-perl_0.994-2.debian.tar.gz
  to main/libs/libsgml-parser-opensp-perl/libsgml-parser-opensp-perl_0.994-2.debian.tar.gz
libsgml-parser-opensp-perl_0.994-2.dsc
  to main/libs/libsgml-parser-opensp-perl/libsgml-parser-opensp-perl_0.994-2.dsc
libsgml-parser-opensp-perl_0.994-2_i386.deb
  to main/libs/libsgml-parser-opensp-perl/libsgml-parser-opensp-perl_0.994-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 613199@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated libsgml-parser-opensp-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 06 May 2011 19:32:53 +0100
Source: libsgml-parser-opensp-perl
Binary: libsgml-parser-opensp-perl
Architecture: source i386
Version: 0.994-2
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 libsgml-parser-opensp-perl - OpenSP Parser of SGML documents
Closes: 613199
Changes: 
 libsgml-parser-opensp-perl (0.994-2) unstable; urgency=low
 .
   * Apply patch from Niko Tyni fixing FTBFS in directories with
     characters like '+', such as during binNMUs (Closes: #613199)
   * Update Standards-Version (no changes)
Checksums-Sha1: 
 1d859e7550d1fbbf7205c4d9a4daa33d40853ee9 1561 libsgml-parser-opensp-perl_0.994-2.dsc
 ab26a8f4b6e3cb72b903aa6b5ee9141fce1d8405 2793 libsgml-parser-opensp-perl_0.994-2.debian.tar.gz
 106bd71afaf27e41217d4168fff251561770cb09 53090 libsgml-parser-opensp-perl_0.994-2_i386.deb
Checksums-Sha256: 
 268f8f905ff076d7321879a7305445faba4d0449e54f30a94e601092f30a9b0a 1561 libsgml-parser-opensp-perl_0.994-2.dsc
 f96267edc35ebb4c44a51d9a9862565641157ae80bf7f3323c65b2818df817d1 2793 libsgml-parser-opensp-perl_0.994-2.debian.tar.gz
 5d4437067f8f155efea043db33bf1b49d2d288fbe5f1a9ad95b93283060480aa 53090 libsgml-parser-opensp-perl_0.994-2_i386.deb
Files: 
 f1d53b9abdfe1de4ec20fbb613b8b347 1561 perl optional libsgml-parser-opensp-perl_0.994-2.dsc
 e5815f395cbf46d87404f9f3c3814d3d 2793 perl optional libsgml-parser-opensp-perl_0.994-2.debian.tar.gz
 c923951684ef6dd5c09245c9326df9ed 53090 perl optional libsgml-parser-opensp-perl_0.994-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFNxD8uYzuFKFF44qURAsLTAJ0UF9BnbWyIbcmtBALhqqUpvTo6HACg3JQK
Q2NK7oO+PN6/ggYnANUNzrU=
=sJaY
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 26 Sep 2011 07:37:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:34:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.